#ifdef __linux__
#define NEED_STRUPR
#endif

#ifdef __TURBOC__
#define strcasecmp stricmp
#define strncasecmp strnicmp
#endif

#ifndef O_BINARY
#define O_BINARY 0
#endif

#define LINELEN 256

extern char user_call[];
extern char flterr[];
extern char line[LINELEN];
extern int line_len;
extern int max_lines;
extern int del_filt;
extern int save_filt;
extern int show_filt;

#ifdef NEED_STRUPR
extern char *strupr(char *);
#endif
extern int wildmat(char *, char *);
extern void restore_saved_filter(char *);
extern int init_filter(FILE *);
extern int test_list_entry(bullist *data);
